[package]
name = "fuiz-server"
version = "0.1.0"
edition = "2021"

[features]
expose-network = []

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
fuiz = { git = "https://gitlab.com/opencode-mit/fuiz/game.git" }
actix-cors = "0.7"
actix-web = "4"
actix-ws = "0.3"
dashmap = "6"
derive-where = "1"
enum-map = { version = "2", features = ["serde"] }
fastrand = "2"
futures-util = "0.3"
log = "0.4"
pretty_env_logger = "0.5"
serde = { version = "1.0", features = ["derive"] }
serde_json = "1.0"
thiserror = "2"
uuid = { version = "1", features = ["v4", "serde"] }
garde-actix-web = "0.11"
garde = "0.22"
parking_lot = "0.12"
unbox-box = "0.1.0"
bytes = "1.5"
jiden = "0.1.1"
web-time = { version = "1.1.0", features = ["serde"] }
